KDE 4.9 PyKDE API Reference

- KDE's Python API

# BookmarkManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

This class is responsible for loading the book mark objects from the files and various book mark operations

## Signals
| bookmarksChanged ()
## Methods
| __init__ (self, Marble.GeoDataTreeModel treeModel, QObject parent=0)
| addBookmark (self, Marble.GeoDataContainer folder, Marble.GeoDataPlacemark bookmark)
| addNewBookmarkFolder (self, Marble.GeoDataContainer folder, QString name)
QString | bookmarkFile (self)
Marble.GeoDataDocument | document (self)
bool | loadFile (self, QString relativeFilePath)
| removeAllBookmarks (self)
| removeBookmark (self, Marble.GeoDataPlacemark bookmark)
| removeBookmarkFolder (self, Marble.GeoDataFolder folder)
| renameBookmarkFolder (self, Marble.GeoDataFolder folder, QString name)
| setShowBookmarks (self, bool visible)
bool | showBookmarks (self)
| updateBookmark (self, Marble.GeoDataPlacemark bookmark)

## Signal Documentation

bookmarksChanged | ( |  | ) |

One or more bookmarks were added or removed

Signal syntax:
  `QObject.connect(source, SIGNAL("bookmarksChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataTreeModel | treeModel,
|  | QObject | parent=0
| ) |  |  |

addBookmark | ( | self, |
|  | Marble.GeoDataContainer | folder,
|  | Marble.GeoDataPlacemark | bookmark
| ) |  |  |

add bookmark in a folder

Parameters:

  | bookmark | bookmark to be added
  | folderName | folder name in which bookmark to be added

addNewBookmarkFolder | ( | self, |
|  | Marble.GeoDataContainer | folder,
|  | QString | name
| ) |  |  |

add a folder

Parameters:

  | folder | name of folder to be created

QString bookmarkFile | ( |  | self ) |

return bookmark file path

Marble.GeoDataDocument document | ( |  | self ) |

bool loadFile | ( | self, |
|  | QString | relativeFilePath
| ) |  |  |

load bookmark file as GeoDataDocument and return true if loaded successfully else false

Parameters:

  | relativeFilePath | relative path of bookmark file

removeAllBookmarks | ( |  | self ) |

remove all folders and bookmarks except default folder

removeBookmark | ( | self, |
|  | Marble.GeoDataPlacemark | bookmark
| ) |  |  |

removeBookmarkFolder | ( | self, |
|  | Marble.GeoDataFolder | folder
| ) |  |  |

renameBookmarkFolder | ( | self, |
|  | Marble.GeoDataFolder | folder,
|  | QString | name
| ) |  |  |

setShowBookmarks | ( | self, |
|  | bool | visible
| ) |  |  |

bool showBookmarks | ( |  | self ) |

updateBookmark | ( | self, |
|  | Marble.GeoDataPlacemark | bookmark
| ) |  |  |